Add general option to show a dialog to allow enter the name of a (custom) CRS

2011-12-27 10:18 AM - Giovanni Manghi

Status: Open

Priority: Low

Assignee:

Category: Projection Support

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14589

Description

When adding a layer in QGIS that has an explicit CRS that doesn't match anything in the internal QGIS database, then a custom CRS is

added, but this has no name.

The new "select CRS" dialog just filters names and official codes (like EPSG) not internal codes.

So, it would be highly valuable to allow the user enter a proper name for custom CRS as they are added to the internal DB by QGIS.

History

#1 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-06-20 07:00 AM - Giovanni Manghi

- Subject changed from Add general option to show a dialog to allow enter the name of a CRS to Add general option to show a dialog to allow enter the 

name of a (custom) CRS

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
